
From: Trond Myklebust <trond.myklebust@fys.uio.no>

Enabling rpc_debug can currently result in an Oops due to an incorrect
pointer check.



---

 include/linux/sunrpc/sched.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/linux/sunrpc/sched.h~nfs-rpc-debug-oops-fix include/linux/sunrpc/sched.h
--- 25/include/linux/sunrpc/sched.h~nfs-rpc-debug-oops-fix	2004-01-08 18:38:48.000000000 -0800
+++ 25-akpm/include/linux/sunrpc/sched.h	2004-01-08 18:38:48.000000000 -0800
@@ -205,7 +205,7 @@ rpc_exit(struct rpc_task *task, int stat
 static __inline__ char *
 rpc_qname(struct rpc_wait_queue *q)
 {
-	return q->name? q->name : "unknown";
+	return ((q && q->name) ? q->name : "unknown");
 }
 #endif
 

_
